# Deprecated API

## Contents

- Methods

Methods
org.apache.sling.commons.scheduler.Scheduler.addJob​(String, Object, Map<String, Serializable>, String, boolean): Use `Scheduler.schedule(Object, ScheduleOptions)` instead.
org.apache.sling.commons.scheduler.Scheduler.addPeriodicJob​(String, Object, Map<String, Serializable>, long, boolean): Use `Scheduler.schedule(Object, ScheduleOptions)` instead.
org.apache.sling.commons.scheduler.Scheduler.fireJob​(Object, Map<String, Serializable>): Use `Scheduler.schedule(Object, ScheduleOptions)` instead.
org.apache.sling.commons.scheduler.Scheduler.fireJobAt​(String, Object, Map<String, Serializable>, Date): Use `Scheduler.schedule(Object, ScheduleOptions)` instead.
org.apache.sling.commons.scheduler.Scheduler.removeJob​(String): Use `Scheduler.unschedule(String)` instead.